VeighNa量化社区
你的开源社区量化交易平台
Member
avatar
加入于:
帖子: 10
声望: 0

description
请问我该如何解决

Member
avatar
加入于:
帖子: 10
声望: 0

尝试从镜像站更新PyQt5后,仍报错如故。
python -m pip install --upgrade PyQt5 -i https://mirrors.aliyun.com/pypi/simple/

Member
avatar
加入于:
帖子: 10
声望: 0

vn studio版本是最新的2.9.0

Member
avatar
加入于:
帖子: 101
声望: 8

你看看你的vnstudio目录下有没有python3.dll文件

Member
avatar
加入于:
帖子: 10
声望: 0

有原 wrote:

你看看你的vnstudio目录下有没有python3.dll文件
您好,非常感谢,python3.dll和python37.dll都有
description

Member
avatar
加入于:
帖子: 537
声望: 28

这个报错是PyQtWebEngine的问题,找不到操作系统的某个dll文件,请确认下使用的系统是否为Windows 10/11或者Server 2019?

Member
avatar
加入于:
帖子: 6
声望: 0

遇到了同样的错误!题主解决了吗
不过我报错的最后两行是这样子的
from PyQt5 import QtWidgets, Qsci, QtGui
ImportError: DLL load failed: 找不到指定的程序。

Member
avatar
加入于:
帖子: 10
声望: 0

MTF wrote:

这个报错是PyQtWebEngine的问题,找不到操作系统的某个dll文件,请确认下使用的系统是否为Windows 10/11或者Server 2019?

您好,是的,是Windows 10 家庭中文版版本号21H2

Member
avatar
加入于:
帖子: 537
声望: 28

那试试看cmd里用pip重新安装两个模块:

pip install PyQt5==5.14.1
pip install PyQtWebEngine==5.14.0
Member
avatar
加入于:
帖子: 10
声望: 0

MTF wrote:

那试试看cmd里用pip重新安装两个模块:

pip install PyQt5==5.14.1
pip install PyQtWebEngine==5.14.0

description
万分感谢,安装这版本的PyQtWebEngine后正常运行了。

Member
avatar
加入于:
帖子: 10
声望: 0

1714c809a21548e3 wrote:

遇到了同样的错误!题主解决了吗
不过我报错的最后两行是这样子的
from PyQt5 import QtWidgets, Qsci, QtGui
ImportError: DLL load failed: 找不到指定的程序。
我认为是vn studio的模块版本依赖比较严重,我在听楼上大佬重新安装特定PyQtWebEngine版本之前一直无法运行。
根据你的报错,可以试试重新安装PyQt5

pip uninstall PyQt5
pip install PyQt5==5.14.1
Member
avatar
加入于:
帖子: 6
声望: 0

阿狗 wrote:

1714c809a21548e3 wrote:

遇到了同样的错误!题主解决了吗
不过我报错的最后两行是这样子的
from PyQt5 import QtWidgets, Qsci, QtGui
ImportError: DLL load failed: 找不到指定的程序。
我认为是vn studio的模块版本依赖比较严重,我在听楼上大佬重新安装特定PyQtWebEngine版本之前一直无法运行。
根据你的报错,可以试试重新安装PyQt5

pip uninstall PyQt5
pip install PyQt5==5.14.1

我的PyQt已经是这个版本的了

© 2015-2022 上海韦纳软件科技有限公司
备案服务号:沪ICP备18006526号

沪公网安备 31011502017034号

【用户协议】
【隐私政策】
【免责条款】